# -*- encoding: UTF-8 -*-
r"""
^0 ศูนย์
^1$ หนึ่ง
1$ เอ็ด
1 หนึ่ง
2 สอง
3 สาม
4 สี่
5 ห้า
6 หก
7 เจ็ด
8 แปด
9 เก้า
1(\d) สิบ$1
2(\d) ยี่สิบ$1
(\d)(\d) $1สิบ$2
(\d)(\d\d) $1ร้อย$2
(\d)(\d{3}) $1พัน$2
(\d)(\d{4}) $1หมื่น$2
(\d)(\d{5}) $1แสน$2
(\d{1,6})(\d{6}) $1|ล้าน$2
(\d{1,6})(\d{12}) $1|ล้านล้าน$2
(\d{1,6})(\d{18}) $1|ล้านล้านล้าน$2
(\d)(\d{24}) $1|ล้านล้านล้านล้าน$2

# negative numbers

[-−](\d+) ลบ|$1

# decimals

([-−]?\d+)[.,] |$1|จุด
([-−]?\d+[.,]\d*)(\d) |$1|$2

# currency

"THB ([-−]?\d+)" |$1|บาทถ้วน

# currency with decimals

"(THB [-−]?\d+)[,.]00" $1
"THB ([-−]?\d+)[.,](\d{1})" |$1|บาท$(\20)สตางค์
"THB ([-−]?\d+)[,.](\d{1,2})" |$1|บาท|$2|สตางค์

# other currencies?

[A-Z]{3}
"([A-Z]{3}) ([-−]?\d[\d.,]*)" $2$1

== ordinal ==

([-−]?\d+([.,]\d+)?) ที่$1

== ordinal-number ==

(\d+)	\1.

== help ==

"" |$(1)|, |$(2)|, |$(3)|\n$(help ordinal)$(help ordinal-number)
(.*) \1: |$(\1 1)|, |$(\1 2)|, |$(\1 3)|\n
"""
from __future__ import unicode_literals
